%define		_state		stable
%define		orgname		kig

Summary:	K Desktop Environment - Interactive Geometry
Summary(pl_PL.UTF8):	K Desktop Environment - Interaktywna geometria
Name:		kde4-kig
Version:	4.9.0
Release:	1
License:	GPL
Group:		X11/Applications/Science
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	3ca5c6f68f480439cc8308163b96c0b6
URL:		http://www.kde.org/
BuildRequires:	automoc4
BuildRequires:	boost-python-devel
BuildRequires:	kde4-kdelibs-devel
BuildRequires:	qt4-build
Obsoletes:	kde4-kdeedu-kig < 4.6.99
Obsoletes:	kig <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kig is an application for Interactive Geometry. It's intended to serve
two purposes:
- allow students to interactively explore mathematical figures and
  concepts using the computer.
- serve as a WYSIWYG tool for drawing mathematical figures and
  including them in other documents.

%description -l pl.UTF-8
Kig to aplikacja do interaktywnej geometrii. Ma służyć dwóm celom:
- umożliwić uczniom interaktywnie przeglądanie figur i pojęć
  matematycznych przy użyciu komputera
- służyć jako narzędzie WYSIWYG do rysowania figur matematycznych i
  włączania ich do innych dokumentów.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pykig.py
%attr(755,root,root) %{_libdir}/kde4/kigpart.so
%attr(755,root,root) %{_bindir}/kig
%{_desktopdir}/kde4/kig.desktop
%{_datadir}/kde4/services/kig_part.desktop
%{_datadir}/apps/kig
%{_iconsdir}/hicolor/*x*/apps/kig.png
%{_iconsdir}/hicolor/scalable/apps/kig.svgz
%{_iconsdir}/hicolor/*x*/mimetypes/application-x-kig.png
%{_iconsdir}/hicolor/scalable/mimetypes/application-x-kig.svgz
%{_mandir}/man1/kig.1*

# subpackage?
%{_datadir}/apps/katepart/syntax/python-kig.xml
%changelog
* Sat Aug 25 2012 Paweł Sikora <pawel.sikora@agmk.net> 95a3bec
updated to 4.9.0, addes missing BRs.

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> e93993a
Updated to 4.8.4

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a96b35d
- release 2

* Sun Jan 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 06e1829
- up to 4.8.0; now as kde4-kig

* Fri Nov 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 04e5fbf
- up to 4.7.3

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1f1c42b
- rel 2

* Tue Sep 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d925ff
- up to 4.7.1

